Subject: Re: [PATCH v3 5/6] trailer: allow non-trailers in trailer block

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Oct 2016 12:24:11 -0700

Jonathan Tan <[email-masked]> writes:

> Would this work then:
> - at least one trailer line generated by Git ("(cherry picked by" or
>   "Signed-off-by: ") or configured in the "trailer" section in
>   git config AND at least 25% logical trailer lines
> OR
> - 100% logical trailer lines

Sure.  

At that point, I doubt that the latter "100% logical trailer" makes
much difference, though, because at least one of them is likely to
be in the former set, or the users can easily make it so by throwing
what they use like "Bug: ", "Test: " and "Change-ID: " in the
"configured in the trailer section" category.  FWIW, I do not think
we mind terribly to tweak the definition of "generated by Git" class
to "commonly used in Git managed projects" to include "Change-ID:"
and friends.